異なるアイデンティティプロバイダー
この問題が発生すると、API は 409 Conflict を返します。type は https://lingo.dev/docs/api/errors/sso-identity-provider-mismatch です。すべてのエラーに共通する形式については、エラーとステータスコードを参照してください。
組織 <organizationId> のメタデータに、異なるアイデンティティプロバイダーが指定されています。アイデンティティプロバイダーを切り替えるには、Lingo.dev のサポートにお問い合わせください。
フィールド#
レスポンス本文には、標準の type、status、title、detail の各メンバーに加えて、以下のフィールドが含まれます。detail のテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
organizationId | string |
例#
json
{
"detail": "A different identity provider in the metadata at organization <organizationId>. Switching identity provider needs Lingo.dev support.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/sso-identity-provider-mismatch",
"status": 409,
"title": "Different identity provider"
}このエラーを返すエンドポイント#
PUT /v2/organizations/{orgId}/sso